public inbox for pmg-devel@lists.proxmox.com
 help / color / mirror / Atom feed
From: Dominik Csapak <d.csapak@proxmox.com>
To: pmg-devel@lists.proxmox.com
Subject: [pmg-devel] [PATCH pmg-api] debian/postinst: add old default values on upgrade to 8.x
Date: Mon, 26 Jun 2023 15:42:49 +0200	[thread overview]
Message-ID: <20230626134249.525079-1-d.csapak@proxmox.com> (raw)

in /etc/pmg/pmg.conf for
advfilter
use_bayes
use_awl

Signed-off-by: Dominik Csapak <d.csapak@proxmox.com>
---
we could use a little helper script, but the grep/sed lines look
harmless and easy enough to keep it here imho

 debian/postinst | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/debian/postinst b/debian/postinst
index d4d434a..6ee7a24 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -87,8 +87,37 @@ case "$1" in
             fi
         fi
 
+        # on upgrade add pre 8.0 default values for advfilter, use_awl and use_bayes
+        # TODO: remove with 9.0
         if test ! -e /proxmox_install_mode ; then
 
+            pmgconf="/etc/pmg/pmg.conf"
+
+            if test -n "$2" && dpkg --compare-versions "$2" 'lt' '8.0.0'; then
+                if test ! -e $pmgconf ; then
+                    # if the config does not exist at all, fill with previous default configs
+                    printf "section: admin\n\tadvfilter 1\n" > $pmgconf
+                    printf "\nsection: spam\n\tuse_bayes 1\n\tuse_awl 1\n" >> $pmgconf
+                else
+                    if ! grep -q 'section: admin' $pmgconf ; then
+                        printf "\nsection: admin" >> $pmgconf
+                    fi
+                    if ! grep -q 'advfilter' $pmgconf ; then
+                        sed -i '/section: admin/a\\tadvfilter 1' $pmgconf
+                    fi
+
+                    if ! grep -q 'section: spam' $pmgconf ; then
+                        printf "\nsection: spam" >> $pmgconf
+                    fi
+                    if ! grep -q 'use_bayes' $pmgconf ; then
+                        sed -i '/section: spam/a\\tuse_bayes 1' $pmgconf
+                    fi
+                    if ! grep -q 'use_awl' $pmgconf ; then
+                        sed -i '/section: spam/a\\tuse_awl 1' $pmgconf
+                    fi
+                fi
+            fi
+
             pmgconfig init || true
             pmgdb init || true
 
-- 
2.30.2





             reply	other threads:[~2023-06-26 13:43 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-26 13:42 Dominik Csapak [this message]
2023-06-26 13:45 ` Dominik Csapak
2023-06-26 20:02 ` [pmg-devel] applied: " Thomas Lamprecht

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230626134249.525079-1-d.csapak@proxmox.com \
    --to=d.csapak@proxmox.com \
    --cc=pmg-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal